"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.QQGuildBot = void 0;
const koishi_core_1 = require("koishi-core");
const adaptGuild = (guild) => ({
    groupId: guild.id,
    groupName: guild.name,
});
class QQGuildBot extends koishi_core_1.Bot {
    $innerBot;
    async sendMessage(channelId, content, guildId) {
        if (!this.$innerBot)
            throw new Error('no internal bot');
        const resp = await this.$innerBot.send.channel(channelId, content);
        return resp.id;
    }
    async getGuildList() {
        if (!this.$innerBot)
            throw new Error('no internal bot');
        return this.$innerBot.guilds.then((guilds) => guilds.map(adaptGuild));
    }
}
exports.QQGuildBot = QQGuildBot;
